// --------------------------------------------------------------------
// Listen to messages from the injected script. When the injected
// script finds Swedish text, we receive a message containing this
// text and send it on to the grammar checker Granska using the online
// Granska API.
// --------------------------------------------------------------------
chrome.runtime.onMessage.addListener(function(request, sender, callback) {
    if (request.action == "xhttp") {

	// Send the text to the Granska API using POST
	
	var grurl = "https://skrutten.csc.kth.se/granskaapi/scrutinize.php";
	var grdata = "coding=text&text=" + encodeURIComponent(request.data);

	fetch(grurl, {
	    method: 'post',
	    headers: {
		"Content-type": "application/x-www-form-urlencoded; charset=UTF-8"
	    },
	    body: grdata
	})
	    .then(function (data) { return data.text(); })
	    .then(function (data) {
		callback(data);
	    })
	    .catch(function (error) {
		console.log('Granska XHR, Request failed', error);
	    });

	
    }
    return true;
});
